Bug 241746 - sys/conf: Unbreak kernel tags
Summary: sys/conf: Unbreak kernel tags
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 11.3-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: Takahashi Yoshihiro
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-11-06 02:30 UTC by Craig Leres
Modified: 2020-01-31 21:09 UTC (History)
4 users (show)

See Also:
nyan: mfc-stable12+
nyan: mfc-stable11+


Attachments
patch (946 bytes, text/plain)
2019-11-06 02:30 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2019-11-06 02:30:31 UTC
Created attachment 208901 [details]
patch

Creating a kernel tags file has been broken since the time when depend file were broken up into .depend.*.o files.

Here's a patch vs. CURRENT to fix this. Obviously it would be nice to also fix this for the next releases of 11, 12, and 13.
Comment 1 Takahashi Yoshihiro freebsd_committer 2020-01-20 13:16:28 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2020-01-23 13:56:28 UTC
A commit references this bug:

Author: nyan
Date: Thu Jan 23 13:56:13 UTC 2020
New revision: 357043
URL: https://svnweb.freebsd.org/changeset/base/357043

Log:
  Fix kernel-tags target.
    - A depend-file is broken up into .depend.*.o files. [1]
    - Fix an assembly file support.

  PR:		241746
  Submitted by:	leres [1]
  MFC after:	1 week

Changes:
  head/sys/conf/kern.post.mk
  head/sys/conf/systags.sh
Comment 3 Takahashi Yoshihiro freebsd_committer 2020-01-31 12:44:41 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2020-01-31 21:09:05 UTC
A commit references this bug:

Author: bdrewery
Date: Fri Jan 31 21:08:33 UTC 2020
New revision: 357353
URL: https://svnweb.freebsd.org/changeset/base/357353

Log:
  make all is needed to generate .depend.*

  PR:		241746
  X-MFC-With:	r357043
  MFC after:	1 week

Changes:
  head/sys/conf/kern.post.mk